commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gilles <gil...@harfang.homelinux.org>
Subject Re: [Numbers] Java version?
Date Thu, 27 Apr 2017 14:41:03 GMT
On Thu, 27 Apr 2017 14:49:01 +0200, Gilles wrote:
> Hi.
>
> The POM indicates:
>
>     <maven.compiler.source>1.6</maven.compiler.source>
>     <maven.compiler.target>1.6</maven.compiler.target>
>
> but also:
>
>     <commons.release.desc>(requires Java 7+)</commons.release.desc>
>
> Which is wrong?
>

Also, please not that keeping 1.6 compatibility seems to complicate
the Jenkins configuration:
   
https://builds.apache.org/view/Apache%20Commons/job/Commons_Numbers/14/console

For a new component, shouldn't we just go to Java 8?

Gilles


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message